[GEFIXT] Update von 3.12.4 auf 3.99.9 -> Fehler

Wir starten bald mit wpShopGermany4. Alle Fragen dazu dürfen hier gestellt werden.
Alle Informationen dazu gibt es im Blog: https://beta4.wpshopgermany.de

Moderatoren: ThoGoe, maennchen1.de

Benutzeravatar
Frixi
Beiträge: 920
Registriert: 29.10.2014, 16:25
Lizenz: keine

[GEFIXT] Update von 3.12.4 auf 3.99.9 -> Fehler

Beitragvon Frixi » 24.10.2017, 19:35

Hallo maennchen1-Team,

ich habe das Plugin wie hier beschrieben installiert und es kommt die Meldung, dass von Version 3 auf Version 4 upgedatet werden muss. Klicke ich auf den Button wird der Bildschirm weiß... d. h. ein unsichtbarer WP-Fehler tritt auf.

Ich habe jetzt den WP-Debug-Modus aktiviert und als erstes erscheint folgendes:

Code: Alles auswählen

Strict Standards: Declaration of wpng_mod_userfields::abonnent_edit() should be compatible with wpng_mod_basic::abonnent_edit(&$abo) in /var/www/vhosts/fritzbox-antennen.de/httpdocs/wp-shop/wp-content/plugins/wpnewslettergermany/mods/wpng_mod_userfields.class.php on line 0

Strict Standards: Declaration of wpng_mod_bounce::abonnent_edit() should be compatible with wpng_mod_basic::abonnent_edit(&$abo) in /var/www/vhosts/fritzbox-antennen.de/httpdocs/wp-shop/wp-content/plugins/wpnewslettergermany/mods/wpng_mod_bounce.class.php on line 0

Notice: add_object_page ist seit Version 4.5.0 veraltet! Benutze stattdessen add_menu_page(). in /var/www/vhosts/fritzbox-antennen.de/httpdocs/wp-shop/wp-includes/functions.php on line 3831

Das scheint aber nur das Newsletter-Modul zu betreffen und eine functions.php - mit der ich aber nicht das geringste anfangen kann... vlt. kann mir hier einer einen Tipp geben? Ich habe nun alle Plugins außer WPSG, WP phpinfo und All In One WP Security (für den Maintenance Modus) deaktiviert, das Update läuft trotzdem nicht.

Ich habe von PHP 5.6.31 testweise mal auf 7.1.3 umgestellt, seither kommt folgender Fehler beim Start des Updates:

Code: Alles auswählen

Internal Server Error

The server encountered an internal error or misconfiguration and was unable to complete your request.
Please contact the server administrator to inform of the time the error occurred and of anything you might have done that may have caused the error.

More information about this error may be available in the server error log.

EDIT: Weder mit PHP 5.6.31, noch mit 7.3.1 wird eine Log-Datei erzeugt, außer dem Fehler 500 habe ich also keinerlei Hinweise, was passiert.

Ist das Problem bekannt, oder habe ich mal wieder was ganz neues? ;)
Zuletzt geändert von Frixi am 27.10.2017, 11:30, insgesamt 1-mal geändert.
WP V.4.9.5 - WPSG V.3.12.5 - Shop: friXtender.de/shop

Benutzeravatar
ThoGoe
m1.Mitarbeiter
Beiträge: 2551
Registriert: 21.07.2014, 08:25
Lizenz: wpShopGermany Enterprise

Re: Update von 3.12.4 auf 3.99.9 -> Fehler

Beitragvon ThoGoe » 25.10.2017, 08:49

Hallo!

Vielen Dank für den Hinweis. Das Kooperationsproblem mit dem wpNewsletterGermany konnte ich reproduzieren. Wir schauen uns das Ganze an.

Liebe Grüße
Wenn du glaubst, es geht nicht mehr, kommt von uns die Hilfe (http://shop.maennchen1.de/kontaktformular/) her.
Hast du wenig Geld, doch dafür Zeit, stell es der Wunschliste (https://wpshopgermany.uservoice.com/for ... 61-general) bereit!

Benutzeravatar
maennchen1.de
Administrator
Beiträge: 15740
Registriert: 14.08.2003, 16:55
Lizenz: wpShopGermany Enterprise
Wohnort: Thüringen, Ellersleben
Kontaktdaten:

Re: Update von 3.12.4 auf 3.99.9 -> Fehler

Beitragvon maennchen1.de » 25.10.2017, 09:12

Dass der Newsletter die Meldungen verursacht (Meldungen, nicht Fehler!) ist möglich. Deaktiviere diesen doch bitte einmal und alle anderen Plugins auch und teste erneut.
Kein Support per PN! Alle Fragen beantworten wir hier im Forum. Per PN bitte nur Passwörter, Namen und URLs - sofern notwendig.
Bitte vor dem posten lesen:
FAQ / häufig gestellte Fragen
wpShopGermany Fehler? Hilfeanleitung!
PHTML-Dateien richtig verwenden (für eigene Anpassungen)

Benutzeravatar
Frixi
Beiträge: 920
Registriert: 29.10.2014, 16:25
Lizenz: keine

Re: Update von 3.12.4 auf 3.99.9 -> Fehler

Beitragvon Frixi » 25.10.2017, 10:30

maennchen1.de hat geschrieben:Dass der Newsletter die Meldungen verursacht (Meldungen, nicht Fehler!) ist möglich. Deaktiviere diesen doch bitte einmal und alle anderen Plugins auch und teste erneut.


Zitat erster Post:
Ich habe nun alle Plugins außer WPSG, WP phpinfo und All In One WP Security (für den Maintenance Modus) deaktiviert, das Update läuft trotzdem nicht.

Es wird auch KEIN anderer Fehler, außer dem Fehler 500, angezeigt, es wird auch kein Server-Log geschrieben.

EDIT: Ach kuck, man muss alles nur mal eine Nacht stehen lassen: Jetzt kommt eine sprechende Fehlermeldung, die euch hoffentlich weiter hilft:

Code: Alles auswählen

14361 Kunden
Fatal error: Allowed memory size of 268435456 bytes exhausted (tried to allocate 131072 bytes) in /var/www/vhosts/fritzbox-antennen.de/httpdocs/wp-shop/wp-includes/wp-db.php on line 2426


EDIT2: Hier noch ein Auszug aus der error.log, da hängt noch was mit dran...

Code: Alles auswählen

[Wed Oct 25 10:31:29 2017] [warn] [client 62.226.168.195] mod_fcgid: stderr: PHP Fatal error:  Allowed memory size of 268435456 bytes exhausted (tried to allocate 131072 bytes) in /var/www/vhosts/fritzbox-antennen.de/httpdocs/wp-shop/wp-includes/wp-db.php on line 2426, referer: https://fritzbox-antennen.de/wp-admin/admin.php?page=M1_Converter_dispatch
WP V.4.9.5 - WPSG V.3.12.5 - Shop: friXtender.de/shop

Benutzeravatar
maennchen1.de
Administrator
Beiträge: 15740
Registriert: 14.08.2003, 16:55
Lizenz: wpShopGermany Enterprise
Wohnort: Thüringen, Ellersleben
Kontaktdaten:

Re: Update von 3.12.4 auf 3.99.9 -> Fehler

Beitragvon maennchen1.de » 25.10.2017, 12:06

Die Meldungen können eigentlich nicht kommen, wenn das Modul nicht aktiviert ist.

Die jetzige Fehlermeldung besagt, dass der freie Arbeitsspeicher (~256MB) aufgebraucht wurde. Und zwar in der Funktion, welche die Datenbanksteuerung übernimmt (zum DB-Update). Das kann damit zusammenhängen, dass viele Daten aktualisiert werden müssen. Wie groß ist denn deine Datenbank?
Kein Support per PN! Alle Fragen beantworten wir hier im Forum. Per PN bitte nur Passwörter, Namen und URLs - sofern notwendig.
Bitte vor dem posten lesen:
FAQ / häufig gestellte Fragen
wpShopGermany Fehler? Hilfeanleitung!
PHTML-Dateien richtig verwenden (für eigene Anpassungen)

Benutzeravatar
Frixi
Beiträge: 920
Registriert: 29.10.2014, 16:25
Lizenz: keine

Re: Update von 3.12.4 auf 3.99.9 -> Fehler

Beitragvon Frixi » 25.10.2017, 13:09

maennchen1.de hat geschrieben:Die Meldungen können eigentlich nicht kommen, wenn das Modul nicht aktiviert ist.

Ich wollte mit "Ich habe nun alle Plugins ... deaktiviert" sagen, dass ich zuerst auf die Meldungen gestoßen bin, dann alle Plugins (außer den genannten) deaktiviert habe und dann nochmals (mehrfach) das Update versucht habe.

maennchen1.de hat geschrieben:Wie groß ist denn deine Datenbank?

Der SQL-Export war ca. 64 mb groß. Er scheint sich ja schon an den gut 14.300 Kunden zu stören, so wie ich die Meldung interpretiere. Das der Arbeitsspeicher nicht reicht, habe ich soweit verstanden, evtl. müsste das entsprechende Modul einfach mit kleineren Häppchen arbeiten.
WP V.4.9.5 - WPSG V.3.12.5 - Shop: friXtender.de/shop

Benutzeravatar
maennchen1.de
Administrator
Beiträge: 15740
Registriert: 14.08.2003, 16:55
Lizenz: wpShopGermany Enterprise
Wohnort: Thüringen, Ellersleben
Kontaktdaten:

Re: Update von 3.12.4 auf 3.99.9 -> Fehler

Beitragvon maennchen1.de » 25.10.2017, 13:35

Bitte beschreibe kurz, wie du konkret vorgegangen bist. Was hast du als erstes gemacht, wie hast du es gemacht, wo genau hast du hingeklickt.
Kein Support per PN! Alle Fragen beantworten wir hier im Forum. Per PN bitte nur Passwörter, Namen und URLs - sofern notwendig.
Bitte vor dem posten lesen:
FAQ / häufig gestellte Fragen
wpShopGermany Fehler? Hilfeanleitung!
PHTML-Dateien richtig verwenden (für eigene Anpassungen)

Benutzeravatar
Frixi
Beiträge: 920
Registriert: 29.10.2014, 16:25
Lizenz: keine

Re: Update von 3.12.4 auf 3.99.9 -> Fehler

Beitragvon Frixi » 25.10.2017, 14:05

1. altes Shop plugin gelöscht
2. neue Beta hochgeladen
3. nach Aufforderung auf den Update-Button geklickt -> weißer Bildschirm
4. WP-Debug-Modus aktiviert
5. 1x zurück im Browser & reload
6. Meldungen zum Newslettermodul erscheinen
7. alle Plugins deaktiviert (außer WPSG, WP phpinfo, All In One WP Security)
8. erneut Update versucht (Button "Konvertieren") -> Fehler 500 -> im Browser 1x zurück
9. Umstellung von PHP 5.6.31 auf 7.1.3
10. erneut Update versucht (Button "Konvertieren") -> Fehler 500 -> im Browser 1x zurück
11. Rückstellung auf PHP 5.6.31... warten bis wieder aktiviert...
12. erneut Update versucht (Button "Konvertieren") -> Fehler 500 -> im Browser 1x zurück
13. Gute Nacht.
14. Heute morgen erneut getestet (Button "Konvertieren"), Meldung "14361 Kunden - Fatal error: Allowed memory size of 268435456 bytes exhausted (tried to allocate 131072 bytes) in /var/www/vhosts/fritzbox-antennen.de/httpdocs/wp-shop/wp-includes/wp-db.php on line 2426"

Mehr Details habe ich nicht mehr im Kopf, aber das war es im Wesentlichen.
WP V.4.9.5 - WPSG V.3.12.5 - Shop: friXtender.de/shop

Benutzeravatar
maennchen1.de
Administrator
Beiträge: 15740
Registriert: 14.08.2003, 16:55
Lizenz: wpShopGermany Enterprise
Wohnort: Thüringen, Ellersleben
Kontaktdaten:

Re: Update von 3.12.4 auf 3.99.9 -> Fehler

Beitragvon maennchen1.de » 25.10.2017, 17:16

Danke für die ausführliche Antwort!
zu 1) wie hast du das Plugin gelöscht? Direkt über die Pluginverwaltung? Oder bist du sogar so vorgegangen, wie hier beschrieben: https://beta4.wpshopgermany.de/neue-bet ... -moeglich/

Welchen Button "Konvertieren" meinst du? Oben hast du noch etwas von aktualisieren geschrieben. Könntest du evtl. einen Screenshot der Stelle hier posten?
Kein Support per PN! Alle Fragen beantworten wir hier im Forum. Per PN bitte nur Passwörter, Namen und URLs - sofern notwendig.
Bitte vor dem posten lesen:
FAQ / häufig gestellte Fragen
wpShopGermany Fehler? Hilfeanleitung!
PHTML-Dateien richtig verwenden (für eigene Anpassungen)

Benutzeravatar
Frixi
Beiträge: 920
Registriert: 29.10.2014, 16:25
Lizenz: keine

Re: Update von 3.12.4 auf 3.99.9 -> Fehler

Beitragvon Frixi » 25.10.2017, 19:19

maennchen1.de hat geschrieben:wie hast du das Plugin gelöscht? Direkt über die Pluginverwaltung? Oder bist du sogar so vorgegangen, wie hier beschrieben: https://beta4.wpshopgermany.de/neue-bet ... -moeglich/

Genau so, wie es dort beschrieben steht, also über FTP aus dem Plugin-Verzeichnis gelöscht und entsprechend das neue Modul hochgeladen.

maennchen1.de hat geschrieben:Welchen Button "Konvertieren" meinst du? Oben hast du noch etwas von aktualisieren geschrieben. Könntest du evtl. einen Screenshot der Stelle hier posten?

Ich meinte immer diesen Button:
Bildschirmfoto 2017-10-25 um 19.17.02.png

Auch wenn ich noch ein Video davon mache: letztendlich liegt es doch wohl nur am mangelnden Speicher, weil das Konverter-Modul zu viel auf einmal anpacken will, oder sehe ich das falsch?
WP V.4.9.5 - WPSG V.3.12.5 - Shop: friXtender.de/shop

Benutzeravatar
ThoGoe
m1.Mitarbeiter
Beiträge: 2551
Registriert: 21.07.2014, 08:25
Lizenz: wpShopGermany Enterprise

Re: Update von 3.12.4 auf 3.99.9 -> Fehler

Beitragvon ThoGoe » 26.10.2017, 08:11

Hallo!

Wie viele Bestellungen und Produkte hast du in deinem Testsystem drin? Kunden sind 14361 bei dir vorhanden.

Liebe Grüße
Wenn du glaubst, es geht nicht mehr, kommt von uns die Hilfe (http://shop.maennchen1.de/kontaktformular/) her.
Hast du wenig Geld, doch dafür Zeit, stell es der Wunschliste (https://wpshopgermany.uservoice.com/for ... 61-general) bereit!

Benutzeravatar
Frixi
Beiträge: 920
Registriert: 29.10.2014, 16:25
Lizenz: keine

Re: Update von 3.12.4 auf 3.99.9 -> Fehler

Beitragvon Frixi » 26.10.2017, 10:00

Mit den "unvollständigen" etwa genauso viele.
WP V.4.9.5 - WPSG V.3.12.5 - Shop: friXtender.de/shop

Benutzeravatar
ThoGoe
m1.Mitarbeiter
Beiträge: 2551
Registriert: 21.07.2014, 08:25
Lizenz: wpShopGermany Enterprise

Re: Update von 3.12.4 auf 3.99.9 -> Fehler

Beitragvon ThoGoe » 26.10.2017, 14:12

Hallo!

Und wie viele Produkte?

Liebe Grüße
Wenn du glaubst, es geht nicht mehr, kommt von uns die Hilfe (http://shop.maennchen1.de/kontaktformular/) her.
Hast du wenig Geld, doch dafür Zeit, stell es der Wunschliste (https://wpshopgermany.uservoice.com/for ... 61-general) bereit!

Benutzeravatar
Frixi
Beiträge: 920
Registriert: 29.10.2014, 16:25
Lizenz: keine

Re: Update von 3.12.4 auf 3.99.9 -> Fehler

Beitragvon Frixi » 26.10.2017, 16:17

ca. 100
WP V.4.9.5 - WPSG V.3.12.5 - Shop: friXtender.de/shop

Benutzeravatar
maennchen1.de
Administrator
Beiträge: 15740
Registriert: 14.08.2003, 16:55
Lizenz: wpShopGermany Enterprise
Wohnort: Thüringen, Ellersleben
Kontaktdaten:

Re: Update von 3.12.4 auf 3.99.9 -> Fehler

Beitragvon maennchen1.de » 26.10.2017, 16:38

Heute kam eine neue Beta heraus. Diese könnte evtl. das Speicherproblem minimieren, oder gar beseitigen. Könntest du das bitte einmal testen?

Downloadlink: http://dl.maennchen1.de/wpsg4/wpsg/wpsh ... latest.zip
Kein Support per PN! Alle Fragen beantworten wir hier im Forum. Per PN bitte nur Passwörter, Namen und URLs - sofern notwendig.
Bitte vor dem posten lesen:
FAQ / häufig gestellte Fragen
wpShopGermany Fehler? Hilfeanleitung!
PHTML-Dateien richtig verwenden (für eigene Anpassungen)


Zurück zu „wpShopGermany4 BETA“

Wer ist online?

Mitglieder in diesem Forum: 0 Mitglieder und 1 Gast